What are the minimum privileges required to install OCP 4 IPI in a vSphere environment

Solution Unverified - Updated -

Issue

  • What are the minimum privileges required in a vSphere environment to run an IPI installation of OCP 4 and also for the MachineSet Operator on runtime?
  • How to restrain the user's privileges to deploy an IPI Openshift 4 cluster in a vSphere environment?

Environment

  • Red Hat OpenShift Container Platform (RHOCP)
    • 4.x
  • Installer Provisioned Infrastructure (IPI)
  • vSphere environment

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase, tools, and much more.

Current Customers and Partners

Log in for full access

Log In

New to Red Hat?

Learn more about Red Hat subscriptions

Using a Red Hat product through a public cloud?

How to access this content